Bug 176251 - Need a log of builders run on rebuild
Need a log of builders run on rebuild
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 11:45 EST by Thomas Fitzsimmons
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:10:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 121591 None None None Never

  None (edit)
Description Thomas Fitzsimmons 2005-12-20 11:45:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When building the classpath project in native eclipse, it would be useful if eclipse kept a log of the builders it ran.  We have custom builders that run autogen.sh, configure, make distclean and make -C native/ all install.  Though the console title bar indicates the currently-running builder, some builders run very quickly so it is hard to tell which ones were run.  For debugging and informational purposes, it would be helpful if eclipse logged a list of builders it ran in the order that it ran them.  The log would also have to mark the start and end of each build run in case some builders are run twice.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build classpath
2. try to see which builders are being run


Additional info:
Comment 1 Andrew Overholt 2005-12-20 11:54:04 EST
While I fully agree, this should probably be filed upstream.
Comment 2 Thomas Fitzsimmons 2005-12-20 12:19:11 EST
Mirrored upstream.
Comment 3 Andrew Overholt 2006-02-03 11:10:00 EST
Let's just track this upstream.

Note You need to log in before you can comment on or make changes to this bug.